<?php

namespace Modules\Internal\Http\Controllers\Api;


use App\Models\OLDLMS\Prescription;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;

class PrescriptionController extends Controller
{
    /**
     * Display a listing of the resource.
     * @param int|null $id
     * @return \Illuminate\Http\JsonResponse
     */
    public function index($id = null)
    {
        $query = Prescription::query();
        if ($id !== null) {
            $query->where('nID', $id);
        }
        
        $prescriptions = $query->select('nID','nIDLiveChat', 'nIDLiveChatSummary', 'nIDDokter', 'sDokterName', 'dTanggalResep', 'sSource', 'nIDUser', 'sKodeResep', 'sDiagnose', 'sStatus')
        ->get();

        // $prescriptions->toArray();
        // dd($prescriptions);

        return response()->json($prescriptions);
        // return response()->json(Helper::paginateResources(LivechatResource::collection($livechat)));
    }




    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        return view('internal::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('internal::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        //
    }
}
